#pragma once
#include <map>
struct M_ActivityFeedBackGiftCFGData
{
	//vip等级
	int mVipLv;
	//档位1额外奖励
	std::vector<int> mGear1;
	//档位2额外奖励
	std::vector<int> mGear2;
	//档位3额外奖励
	std::vector<int> mGear3;
	//档位4额外奖励
	std::vector<int> mGear4;
	//档位5额外奖励
	std::vector<int> mGear5;
};

class M_ActivityFeedBackGiftCFG
{
public:
private:
	static std::auto_ptr<M_ActivityFeedBackGiftCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityFeedBackGiftCFGData* GetData(int VipLv);
	const std::map<int, M_ActivityFeedBackGiftCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFeedBackGiftCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFeedBackGiftCFGData> mMapData;
};
